<?php

namespace App\Http\Controllers;

use App\Models\Album;
use App\Http\Requests\AlbumRequest;
use App\Repositories\AlbumRepository;
use Illuminate\Http\Request;

class AlbumController extends Controller
{
    /**
     * Album repository.
     *
     * @var \App\Repositories\AlbumRepository
     */
    protected $repository;

    /**
     * Create a new AlbumController instance.
     *
     * @param  \App\Repositories\AlbumRepository $repository
     */
    public function __construct(AlbumRepository $repository)
    {
        $this->repository = $repository;
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view ('albums.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\AlbumRequest $request
     * @return \Illuminate\Http\Response
     */
    public function store(AlbumRequest $request)
    {
        $this->repository->create ($request->user(), $request->all ());

        return back()->with ('ok', __ ("L'album a bien été enregistré"));
    }
}
